#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,k,x;
    cin>>n>>k>>x;
    if(k==3)
    {
        if(n==3)
            cout<<1<<" "<<1+x<<" "<<1+2*x;
        else
        {
            cout << 1<<" "<<1+x<<" "<<1+x<<" "<<1+x;
            n-=4;
            for(int i=0;i<n;i++)
                cout <<" "<<(int)(x/2)+1;
        }
    }
    /*else if(n==k)
    {

    }*/
    return 0;
}